Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenSeparator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenContributionItem, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenSeparatorImpl

    public interface GenSeparator

extends GenContributionItem

A representation of the model object 'Gen Separator'.

The following features are supported:

- `Group Name`

See Also:
  `GMFGenPackage.getGenSeparator()`
** Generated **
Model:

Method Summary
`java.lang.String` `getGroupName()` Returns the value of the 'Group Name' attribute
`void` `setGroupName(java.lang.String value)` Sets the value of the '`Group Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContributionItem
`getApplication, getOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupName

    java.lang.String getGroupName()

  Returns the value of the 'Group Name' attribute.

  If the meaning of the 'Group Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Name' attribute.
  See Also:
    `setGroupName(String)`, `GMFGenPackage.getGenSeparator_GroupName()`
  ** Generated **
  Model:

### setGroupName

    void setGroupName(java.lang.String value)

  Sets the value of the '`Group Name`' attribute.

  Parameters:
    `value` - the new value of the 'Group Name' attribute.
  See Also:
    `getGroupName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.